## com.fasterxml.jackson.databind.deser.std
Class JacksonDeserializers

    java.lang.Object
      com.fasterxml.jackson.databind.deser.std.JacksonDeserializers

    public class JacksonDeserializers

extends Object

Container class for core Jackson type deserializers.

Nested Class Summary
`static class` `JacksonDeserializers.JavaTypeDeserializer` Deserializer for `JavaType` values.
`static class` `JacksonDeserializers.JsonLocationInstantiator` For `JsonLocation`, we should be able to just implement `ValueInstantiator` (not that explicit one would be very hard but...)
`static class` `JacksonDeserializers.TokenBufferDeserializer` We also want to directly support deserialization of `TokenBuffer`.

Constructor Summary
`JacksonDeserializers()`

Method Summary
`static StdDeserializer<?>[]` `all()`
`static ValueInstantiator` `findValueInstantiator(DeserializationConfig config, BeanDescription beanDesc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JacksonDeserializers

    public JacksonDeserializers()

Method Detail

### all

    public static StdDeserializer<?>[] all()

### findValueInstantiator

    public static ValueInstantiator findValueInstantiator(DeserializationConfig config,
                                                          BeanDescription beanDesc)

Copyright © 2012 FasterXML. All Rights Reserved.